langcode: en
status: closed
dependencies:
  enforced:
    module:
      - webform_templates
open: null
close: null
uid: null
template: true
id: template_job_seeker_profile
title: 'Job Seeker Profile'
description: 'A job seeker profile webform template.'
category: ''
elements: |
  introduction:
    '#markup': |
      <p>Creating a job seeker profile will help companies find you:</p>
      <ul>
      <li>Upload a resume</li>
      <li>Providing more information gives a better picture to employers</li>
      <li>Salary requirements, location preferences and skill level are all important factors in the hiring decision</li>
      </ul>
  information:
    '#title': 'Job Seeker Information'
    '#type': fieldset
    first_name:
      '#title': 'First Name'
      '#type': textfield
      '#required': true
    last_name:
      '#title': 'Last Name'
      '#type': textfield
      '#required': true
    address:
      '#type': webform_address
      '#required': true
    current_title:
      '#type': textfield
      '#title': 'Current Job Title'
    current_organization:
      '#type': textfield
      '#title': 'Current Place of Occupation'
    positions:
      '#type': textfield
      '#title': 'Position you are looking for'
    relocation:
      '#type': checkbox
      '#title': 'Willing to relocate'
    salary:
      '#title': 'Salary Minimum'
      '#type': textfield
      '#description': 'Add currency sign/currency code if desired. e.g. 500,000 USD, 500,000 CAD, ¥ 100,000'
    skill:
      '#title': 'Skill Level'
      '#type': radios
      '#options_display': two_columns
      '#options':
        Novice/Beginner: Novice/Beginner
        Intermediate/Proficient: Intermediate/Proficient
        Expert/Advanced: Expert/Advanced
    categories:
      '#title': 'Job Categories'
      '#type': checkboxes
      '#options_display': two_columns
      '#options':
        'Account Manager': 'Account Manager'
        Back-End: Back-End
        Designer: Designer
        DevOps: DevOps
        Front-End: Front-End
        'Project Manager': 'Project Manager'
        Sales: Sales
        'Site Builder': 'Site Builder'
        Themer: Themer
    resume:
      '#type': managed_file
      '#title': Resume
    url:
      '#type': url
      '#title': Website
      '#description': 'Enter your existing profile/resume/portfolio link.'
css: ''
javascript: ''
settings:
  ajax: false
  ajax_scroll_top: form
  page: true
  page_submit_path: ''
  page_confirm_path: ''
  form_submit_once: false
  form_exception_message: ''
  form_open_message: ''
  form_close_message: ''
  form_previous_submissions: true
  form_confidential: false
  form_confidential_message: ''
  form_convert_anonymous: false
  form_prepopulate: false
  form_prepopulate_source_entity: false
  form_prepopulate_source_entity_required: false
  form_prepopulate_source_entity_type: ''
  form_reset: false
  form_disable_autocomplete: false
  form_novalidate: false
  form_disable_inline_errors: false
  form_required: false
  form_unsaved: false
  form_disable_back: false
  form_submit_back: false
  form_autofocus: false
  form_details_toggle: false
  form_login: false
  form_login_message: ''
  submission_label: ''
  submission_log: false
  submission_user_columns: {  }
  submission_login: false
  submission_login_message: ''
  submission_exception_message: ''
  submission_locked_message: ''
  autofill: false
  autofill_message: ''
  autofill_excluded_elements: {  }
  wizard_progress_bar: true
  wizard_progress_pages: false
  wizard_progress_percentage: false
  wizard_start_label: ''
  wizard_confirmation: true
  wizard_confirmation_label: ''
  wizard_track: ''
  preview: 0
  preview_label: ''
  preview_title: ''
  preview_message: ''
  preview_attributes: {  }
  preview_excluded_elements: {  }
  preview_exclude_empty: true
  draft: none
  draft_multiple: false
  draft_auto_save: false
  draft_saved_message: ''
  draft_loaded_message: ''
  confirmation_type: page
  confirmation_title: ''
  confirmation_message: 'Thank you for applying.'
  confirmation_url: ''
  confirmation_attributes: {  }
  confirmation_back: true
  confirmation_back_label: ''
  confirmation_back_attributes: {  }
  confirmation_exclude_query: false
  confirmation_exclude_token: false
  limit_total: null
  limit_total_interval: null
  limit_total_message: ''
  limit_user: null
  limit_user_interval: null
  limit_user_message: ''
  entity_limit_total: null
  entity_limit_total_interval: null
  entity_limit_user: null
  entity_limit_user_interval: null
  purge: none
  purge_days: null
  results_disabled: false
  results_disabled_ignore: false
  token_update: false
access:
  create:
    roles:
      - anonymous
      - authenticated
    users: {  }
    permissions: {  }
  view_any:
    roles: {  }
    users: {  }
    permissions: {  }
  update_any:
    roles: {  }
    users: {  }
    permissions: {  }
  delete_any:
    roles: {  }
    users: {  }
    permissions: {  }
  purge_any:
    roles: {  }
    users: {  }
    permissions: {  }
  view_own:
    roles: {  }
    users: {  }
    permissions: {  }
  update_own:
    roles: {  }
    users: {  }
    permissions: {  }
  delete_own:
    roles: {  }
    users: {  }
    permissions: {  }
  administer:
    roles: {  }
    users: {  }
    permissions: {  }
  test:
    roles: {  }
    users: {  }
    permissions: {  }
handlers:
  email_notification:
    id: email
    label: 'Email Notification'
    handler_id: email_notification
    status: true
    conditions: {  }
    weight: 1
    settings:
      states:
        - completed
      to_mail: default
      to_options: {  }
      cc_mail: ''
      cc_options: {  }
      bcc_mail: ''
      bcc_options: {  }
      from_mail: '[webform_submission:values:email:raw]'
      from_options: {  }
      from_name: '[webform_submission:values:first_name] [webform_submission:values:last_name]'
      subject: default
      body: default
      excluded_elements: {  }
      ignore_access: false
      exclude_empty: true
      html: true
      attachments: false
      twig: false
      debug: false
      reply_to: ''
      return_path: ''
      sender_mail: ''
      sender_name: ''
